# Query Collection

{% hint style="warning" %} <mark style="color:red;">**Collections is an analytics API (not real-time, though it may look like one).**</mark>

<mark style="color:red;">**Not all filters and sortings are working now. Data is provided only for the past 7 days.**</mark>
{% endhint %}

## When you may need collections?

If you want to apply some custom filters and sortings on the data.

## About collections

There are a few collections with blockchain data:

* *accounts*: blockchain account data;
* *transactions*: transactions related to accounts;
* *messages*: input and output messages related to transactions;
* *blocks*: blockchain blocks.
* *block\_signatures* : validator block signatures

[Use `query_collection` method to query data that can be filtered and sorted](/ever-sdk/reference/types-and-methods/mod_net.md#query_collection).

## Usage

```javascript
await client.net.query_collection({
    collection: 'accounts',
    filter: {
        id: {
            eq: wallet1Address
        }
    },
    result: 'balance'
})
```

## Sample source code

**Core**

<https://github.com/everx-labs/sdk-samples/tree/master/core-examples/node-js/query>

**AppKit**

<https://github.com/everx-labs/sdk-samples/tree/master/appkit-examples/query>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.everos.dev/ever-sdk/guides/queries_and_subscriptions/query_collection.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
